<?php

namespace app\abutment\controller;

use app\abutment\logic\GoodUp as GoodUpLogic;
use app\BaseController;
use think\exception\ValidateException;
use think\facade\Config;
use think\facade\Validate;

//商品上线模块
class GoodUp extends BaseController
{
    //申请商品上线
    public function create()
    {
        $param = $this->request->filter('trim')->only(['spuCodes', 'online_reason', 'online_remark' => '', 'platform_id'], 'post');

        $val = Validate::rule(Config::get('validate_rules.GoodUpCreate'));

        if (!$val->check($param)) throw new ValidateException($val->getError());

        return GoodUpLogic::create($param);
    }

    //商品上线列表
    public function list()
    {
        $param = $this->request->filter('trim')->only(['keyword' => '', 'page' => 1, 'size' => 15], 'post');

        $val = Validate::rule(Config::get('validate_rules.common'));

        if (!$val->check($param)) throw new ValidateException($val->getError());

        return GoodUpLogic::list($param);
    }


}